import {
  AfterContentInit, Component, EventEmitter, Input,
  OnInit, Output
} from '@angular/core';
import {
  FormBuilder,
  FormGroup
} from '@angular/forms';

@Component({
  selector: 'of-discovery-search-config',
  templateUrl: './search-config.component.html',
})
export class SearchConfigComponent implements OnInit, AfterContentInit {

  @Output() discoverySearchStartClick = new EventEmitter();
  @Output() selectProbe = new EventEmitter();

  discoveryFormGroup: FormGroup;

  ipVesion: number;
  portType: number;

  startIP: string;
  endIP: string;
  excludeIP: string;
  startPort: string;
  endPort: string;
  excludePort: string;

  constructor(
    private formBuilder: FormBuilder,
  ) {
  }

  ngOnInit() {
    this.ipVesion = 0;
    this.portType = 0;
    this.initForm();
  }

  ngAfterContentInit() {
  }

  initForm() {
    // this.discoveryFormGroup = this.formBuilder.group({
    //
    // });
  }

  discoveryStartClick() {
    this.discoverySearchStartClick.emit();
  }

  onProbeSelect(probe) {
    console.log(probe);
    this.selectProbe.emit(probe);
  }
}
