import {
  ReadAllByDomainID,
  ReadAllByDomainIDFailure,
  ReadAllByDomainIDSuccess,
  ActionType,
  Actions,
} from './probe.action';

import {
  State,
  initialState,
} from './probe.state';

import { Probe } from '@overflow/commons-typescript/model/probe';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.ReadAllByDomainID: {
      return {
        ...state,
        error: null,
      };
    }

    case ActionType.ReadAllByDomainIDSuccess: {
      return {
        ...state,
        error: null,
        probeHosts: action.payload,
      };
    }

    case ActionType.ReadAllByDomainIDFailure: {
      return {
        ...state,
        error: action.payload,
        probeHosts: null,
      };
    }

    case ActionType.Read: {
      return {
        ...state,
        error: null,
      };
    }

    case ActionType.ReadSuccess: {
      return {
        ...state,
        error: null,
        probeHosts: [action.payload],
      };
    }

    case ActionType.ReadFailure: {
      return {
        ...state,
        error: action.payload,
        probeHosts: null,
      };
    }

    default: {
      return state;
    }
  }
}
