import { Component, OnDestroy } from '@angular/core';
import { Router, ActivatedRoute, NavigationEnd } from '@angular/router';
import { Subscription } from 'rxjs/Subscription';
import { Probe } from '@overflow/commons-typescript/model/probe';
import { Target } from '@overflow/commons-typescript/model/target';
import { BreadcrumbService } from '../../../commons/service/breadcrumb.service';

@Component({
  selector: 'of-pages-probe',
  templateUrl: './probe-page.component.html',
})
export class ProbePageComponent {

  private isDetail: boolean;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private breadcrumbService: BreadcrumbService
  ) {
    this.route.params.subscribe(params => {
      if (params['id']) {
        this.onDetailContainer(params['id']);
      } else {
        this.onListContainer();
      }
    });
  }

  onListContainer() {
    this.breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'],  }
    ]);
    this.isDetail = false;
  }

  onDetailContainer(probeId: string) {
    this.breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'] },
      { label: probeId }
    ]);
    this.isDetail = true;
  }

  onProbeSelect(probe: Probe) {
    this.router.navigate(['probe', probe.id, 'info']);
  }

  onTargetSelect(target: Target) {
    console.log(target);
  }
}
